at.chipkarte.client.kse.soap

## Class ErgebnisKonsultation

- Object
- - at.chipkarte.client.kse.soap.ErgebnisKonsultation

-     public class ErgebnisKonsultation
      extends Object

  Enthält das Ergebnis einer positiv durchgeführten Konsultation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErgebnisKonsultation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Konsultationsdaten` | `getKonsultationsDaten()` `Konsultationsdaten`, die zu einer Genehmigungsanfrage (Konsultation, Nacherfassung) gehören.
    `Integer[]` | `getKseMessageCodes()` Codewert für zusätzliche Informationen, im Falle einer positiv durchgeführten Konsultation.
    `KonsultationsBeleg[]` | `getNachsignKonsultationen()` Im Zuge der Konsultation nachsignierte Konsultationsbelege.
    `Zusatzinformation` | `getZusatzinformation()` Liefert eine `Zusatzinformation` zu dem Patienten.
    `void` | `setKonsultationsDaten(Konsultationsdaten konsultationsDaten)`
    `void` | `setKseMessageCodes(Integer[] kseMessageCodes)`
    `void` | `setNachsignKonsultationen(KonsultationsBeleg[] nachsignKonsultationen)`
    `void` | `setZusatzinformation(Zusatzinformation zusatzinformation)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErgebnisKonsultation

          public ErgebnisKonsultation()

  - ### Method Detail

    - #### setKonsultationsDaten

          public void setKonsultationsDaten(Konsultationsdaten konsultationsDaten)

    - #### setKseMessageCodes

          public void setKseMessageCodes(Integer[] kseMessageCodes)

    - #### setNachsignKonsultationen

          public void setNachsignKonsultationen(KonsultationsBeleg[] nachsignKonsultationen)

    - #### setZusatzinformation

          public void setZusatzinformation(Zusatzinformation zusatzinformation)

    - #### getKonsultationsDaten

          public Konsultationsdaten getKonsultationsDaten()

      `Konsultationsdaten`, die zu einer Genehmigungsanfrage (Konsultation, Nacherfassung) gehören.
      Returns:
        Konsultationsdaten

    - #### getNachsignKonsultationen

          public KonsultationsBeleg[] getNachsignKonsultationen()

      Im Zuge der Konsultation nachsignierte Konsultationsbelege.
      Returns:
        Belege der nachsignierten Konsultationen

    - #### getKseMessageCodes

          public Integer[] getKseMessageCodes()

      Codewert für zusätzliche Informationen, im Falle einer positiv durchgeführten Konsultation.
      Optional
      Mögliche Werte siehe `KseMessage`
      Returns:
        Message-Codes

    - #### getZusatzinformation

          public Zusatzinformation getZusatzinformation()

      Liefert eine `Zusatzinformation` zu dem Patienten.
      Optional
      Returns:
        Zusatzinformation